<ui:composition
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:gazelle="http://java.sun.com/jsf/composite/gazelle-tags"
        xmlns="http://www.w3.org/1999/xhtml" xmlns:f="http://java.sun.com/jsf/core">
    <div class="form-group #{invalid?'has-error has-feedback':''} #{styleClass == null ? '' : styleClass}">
        <label class="control-label col-sm-4" for="#{id}">
            <ui:insert name="label"/>
            <gazelle:span styleClass="required" rendered="#{required}"> *</gazelle:span>
        </label>

        <div class="col-sm-5">
            <ui:insert/>
            <h:message for="#{id}"  errorClass="gzl-text-red" warnClass="gzl-text-orange"
                       infoClass="gzl-text-green"/>
        </div>
    </div>
</ui:composition>